Subject: Re: [TR] Now TR3 Glove Box in ABS Plastic. AVAILABLE NOW. (JOSEPH ALEXANDER)

From: Dave MacKay <[email-masked]>
Date: Fri, 9 Jan 2026 15:15:38 -0500

Thanks for making us aware that the glovebox is now available in ABS.

IIRC, Moss carries some of your other products. Will Moss be carrying your
ABS glovebox?

Since I'm in Canada and you are only selling in the USA I could buy
through Moss.

Dave MacKay
1960 TR3A s/n 68639L
near Toronto, Canada

Message: 3
>Date: Fri, 9 Jan 2026 10:50:55 -0600
>From: JOSEPH ALEXANDER <[email-masked]>
>Subject: Re: [TR] Triumphs Digest, Vol 19, Issue 6.   Now TR3 Glove
>	Box in ABS Plastic.  AVAILABLE NOW.
>
>I am fabricating glove boxes. I did one for my TR3. Missing for 40
years???
>
>Any interest?  Direct replacement.   US only. Same price as cardboard
fiber version.
>
>Thanks,
>
>Joe Alexander
>4505 Donald Dr
>Cedar Falls, IA 50613
>Alexander Racing Ent.
>Website: Gasketinnovations.com
>Email: [email-masked]
>Cell:  319.464.4711
** [email-masked] **

Archive: http://www.team.net/pipermail/triumphs  http://www.team.net/archive